| optoICC

Loading...
Searching...
No Matches
optoICC.icc4c.ICC4cChannel Class Reference

Parent class => Channel
More...

Inheritance diagram for optoICC.icc4c.ICC4cChannel:

## Public Member Functions
| __init__ (self, board, int channel_number=0, device_platform=DevicePlatform.ALL)
| GetControlMode (self)

## Public Attributes
| StaticInput = Registers.ICCStaticInput(self._channel, self._board)
| Based on device_platform ALL/LENS => ICCStaticInput XPR => StaticInput.
| LensCompensation = Registers.LensCompensation(self._channel, self._board)
| Only available for device_platform = ALL || LENS => LensCompensation.
| Analog = Registers.Analog(self._channel, self._board)
| => Analog
| SignalGenerator = Registers.ICCSignalGenerator(self._channel, self._board)
| => SignalGenerator
| DeviceEEPROM = Registers.DeviceEEPROM(self._channel, self._board)
| => DeviceEEPROM
| VectorPatternUnit = Registers.VectorPatternUnit(self._channel, self._board)
| => VectorPatternUnit
| TemperatureManager = Registers.ICCDeviceTemperatureManager(self._channel, self._board)
| => ICCDeviceTemperatureManager
| OutputConditioningFilter = Registers.OutputConditioningFilter(self._channel, self._board)
| => OutputConditioningFilter

## Protected Attributes
| _control_mode = UnitType.CURRENT

## Detailed Description

Parent class => Channel

        Class to control single channel of the ICC-4C driver. It contains systems supported on specific channel.

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.icc4c.ICC4cChannel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = 0,
|  |  | device_platform = DevicePlatform.ALL )

## Member Function Documentation

## ◆ GetControlMode()

optoICC.icc4c.ICC4cChannel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------

    Raises
    ------
    none

    Returns
    -----
    UnitType
        Control mode options set by register_tables.UnitType

## Member Data Documentation

## ◆ StaticInput

optoICC.icc4c.ICC4cChannel.StaticInput = Registers.ICCStaticInput(self._channel, self._board)

Based on device_platform
ALL/LENS => ICCStaticInput
XPR => StaticInput.

## ◆ LensCompensation

optoICC.icc4c.ICC4cChannel.LensCompensation = Registers.LensCompensation(self._channel, self._board)

Only available for device_platform = ALL || LENS
=> LensCompensation.

## ◆ Analog

optoICC.icc4c.ICC4cChannel.Analog = Registers.Analog(self._channel, self._board)

=> Analog

## ◆ SignalGenerator

optoICC.icc4c.ICC4cChannel.SignalGenerator = Registers.ICCSignalGenerator(self._channel, self._board)

=> SignalGenerator

## ◆ DeviceEEPROM

optoICC.icc4c.ICC4cChannel.DeviceEEPROM = Registers.DeviceEEPROM(self._channel, self._board)

=> DeviceEEPROM

## ◆ VectorPatternUnit

optoICC.icc4c.ICC4cChannel.VectorPatternUnit = Registers.VectorPatternUnit(self._channel, self._board)

=> VectorPatternUnit

## ◆ TemperatureManager

optoICC.icc4c.ICC4cChannel.TemperatureManager = Registers.ICCDeviceTemperatureManager(self._channel, self._board)

=> ICCDeviceTemperatureManager

## ◆ OutputConditioningFilter

optoICC.icc4c.ICC4cChannel.OutputConditioningFilter = Registers.OutputConditioningFilter(self._channel, self._board)

=> OutputConditioningFilter

## ◆ _control_mode

optoICC.icc4c.ICC4cChannel._control_mode = UnitType.CURRENT
| protected